/* wptMisc.c - Misc function that needs to be in pure C
 *	Copyright (C) 2006 Timo Schulz
 *
 * This file is part of WinPT.
 *
 * WinPT is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *  
 * WinPT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <shlobj.h>


void
_SHFree (void *p)
{
    IMalloc *pm;

    SHGetMalloc (&pm);
    if (pm != NULL) {
	pm->lpVtbl->Free (pm, p);
	pm->lpVtbl->Release (pm);
    } 
}
